van ngo Wed Jan 09 23:47:21 -0500 2013

Subject: is there a mysqli adapter?

is there a mysqli adapter for sparks version for codeigniter 2.1.3?


waqas ajaz Sun Jan 13 11:24:26 -0500 2013

php.activerecords uses PDO to run queries. You do not need mysqli adapter. Keep your database setting to $db['default']['dbdriver'] = 'mysql'; and your are good to go.

Ruel Luna Mon Jan 14 06:21:12 -0500 2013

I have a similar problem.

I integrated bonfire and sparks to use PHP-AR and got this error.

Fatal error: Uncaught exception 'ActiveRecord\DatabaseException' with message 'ActiveRecord\MysqliAdapter not found!'

Even though I changed the default dbdriver to 'mysql'.

waqas ajaz Tue Jan 15 00:23:12 -0500 2013

I 'll try bonfire with PHP-AR and I let you know my findings.